python-stdeb_0.6.0+20100620-2_all.deb


Advertisement

Description

python-stdeb - Python to Debian source package conversion utility

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name python-stdeb
Package version 0.6.0+20100620
Package release 2
Package architecture all
Package type deb
Installed size 260 B
Download size 42.71 KB
Official Mirror ftp.br.debian.org
This package provides some tools to produce Debian packages from Python
packages via a new distutils command, sdist_dsc. Automatic defaults are
provided for the Debian package, but many aspects of the resulting package can
be customized via a configuration file.
* pypi-install will query the Python Package Index (PyPI) for a
package, download it, create a .deb from it, and then install
the .deb.
* py2dsc will convert a distutils-built source tarball into a Debian
source package.

Alternatives

Package Version Architecture Repository
python-stdeb_0.6.0+20100620-2_all.deb 0.6.0+20100620 all Debian Main
python-stdeb - - -

Requires

Name Value
debhelper >= 7
python >= 2.6.6-7~
python << 2.8
python-setuptools -
python2.6 -
python2.7 -

Download

Type URL
Binary Package python-stdeb_0.6.0+20100620-2_all.deb
Source Package stdeb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-stdeb deb package:
    # sudo apt-get install python-stdeb

Files

Path
/usr/bin/py2dsc
/usr/bin/pypi-install
/usr/lib/python2.6/dist-packages/stdeb-0.6.0_git.egg-info
/usr/lib/python2.6/dist-packages/stdeb/__init__.py
/usr/lib/python2.6/dist-packages/stdeb/util.py
/usr/lib/python2.6/dist-packages/stdeb/command/__init__.py
/usr/lib/python2.6/dist-packages/stdeb/command/bdist_deb.py
/usr/lib/python2.6/dist-packages/stdeb/command/common.py
/usr/lib/python2.6/dist-packages/stdeb/command/debianize.py
/usr/lib/python2.6/dist-packages/stdeb/command/sdist_dsc.py
/usr/lib/python2.7/dist-packages/stdeb-0.6.0_git.egg-info
/usr/lib/python2.7/dist-packages/stdeb/__init__.py
/usr/lib/python2.7/dist-packages/stdeb/util.py
/usr/lib/python2.7/dist-packages/stdeb/command/__init__.py
/usr/lib/python2.7/dist-packages/stdeb/command/bdist_deb.py
/usr/lib/python2.7/dist-packages/stdeb/command/common.py
/usr/lib/python2.7/dist-packages/stdeb/command/debianize.py
/usr/lib/python2.7/dist-packages/stdeb/command/sdist_dsc.py
/usr/share/doc/python-stdeb/README.rst.gz
/usr/share/doc/python-stdeb/changelog.Debian.gz
/usr/share/doc/python-stdeb/changelog.gz
/usr/share/doc/python-stdeb/copyright
/usr/share/man/man1/py2dsc.1.gz
/usr/share/man/man1/pypi-install.1.gz
/usr/share/pyshared/stdeb-0.6.0_git.egg-info
/usr/share/pyshared/stdeb/__init__.py
/usr/share/pyshared/stdeb/util.py
/usr/share/pyshared/stdeb/command/__init__.py
/usr/share/pyshared/stdeb/command/bdist_deb.py
/usr/share/pyshared/stdeb/command/common.py
/usr/share/pyshared/stdeb/command/debianize.py
/usr/share/pyshared/stdeb/command/sdist_dsc.py

Changelog

2011-05-07 - Piotr Ożarowski <piotr@debian.org>
stdeb (0.6.0+20100620-2) unstable; urgency=low
* Do not add "Breaks: ${python:Breaks}" to generated debian/control anymore
* Add replace_underscore_with_a_dash_in_package_names patch
(binary package name for vim_bridge should be python-vim-bridge, not
python-vimbridge)
2010-11-28 - Piotr Ożarowski <piotr@debian.org>
stdeb (0.6.0+20100620-1) unstable; urgency=low
* New upstream snapshot
* New patches:
- remove-pycentral-options (closes: #597137)
- pass-buildsystem-to-the-sequencer-rather-than-to-DH_OPTIONS
(closes: #597128)
- do-not-reset-environment-options-in-debian-rules
- replace-tabs-with-spaces
- use-dh_python2-instead-of-dh_pysupport
- change-default-source-package-format-to-3.0-quilt
- adjust-debian-control-template-to-latest-changes-in-policy
* Convert from dh_pysupport to dh_python2
* Add python-all to Recommends and python-all-dev to Suggests
* Source format changed to 3.0 (quilt)
* Standards-Version bumped to 3.9.1 (no changes needed)
* Debian packaging license now matches upstream's
2010-06-19 - Piotr Ożarowski <piotr@debian.org>
stdeb (0.6.0-1) unstable; urgency=low
* New upstream release
- do not die if sources.list does not contain deb-src lines
(closes: #580376)
- document need to call "apt-file update". Emit nicer error when user
needs to call "apt-file update" (closes: #568122)
- added {$misc:Depends} to generated depends (closes: #568692)
* Add debhelper to Depends
* Set Andrew Straw as Maintainer, move myself to Uploaders
* Standards-Version bumped to 3.8.4 (no changes needed)
2010-01-10 - Piotr Ożarowski <piotr@debian.org>
stdeb (0.5.1-1) unstable; urgency=low
* New upstream release
* Package's long description updated, now mentions pypi-install
(closes: #564562)
* Add README.rst to docs
* Add apt-file and dpkg-dev to Recommends
2009-12-31 - Piotr Ożarowski <piotr@debian.org>
stdeb (0.5.0-1) unstable; urgency=low
* New upstream release
- new command line tool: pypi-install
- stdeb_run_setup no longer available 
2009-11-02 - Piotr Ożarowski <piotr@debian.org>
stdeb (0.4.2-1) unstable; urgency=low
* New upstream release
* quilt removed from build dependencies (both patches applied upstream)
2009-10-11 - Piotr Ożarowski <piotr@debian.org>
stdeb (0.4.1-1) unstable; urgency=low
* Initial release (closes: #550353)

See Also

Package Description
python-stdnum_0.7-1_all.deb Python module to handle standardized numbers and codes
python-stemmer-doc_1.2.0+dfsg-1_all.deb Python bindings for libstemmer (documentation)
python-stemmer_1.2.0+dfsg-1_i386.deb Python bindings for libstemmer - snowball stemming algorithms
python-stepic_0.3-4_all.deb Python Steganography in Images
python-stfio_0.10.18-1.1+b1_i386.deb A Python module to read common electrophysiology file formats
python-stfl_0.22-1+b1_i386.deb python bindings for the structured terminal forms language/library
python-stompy_0.2.9-1_all.deb Implementation of the STOMP protocol in Python
python-storm_0.19-1_i386.deb object-relational mapper (ORM) for Python
python-strongwind_0.9-2_all.deb dogtail inspired GUI test automation framework
python-stsci.distutils_0.3-1_all.deb Python packaging utilities for STScI's packages
python-subnettree_0.12-4+b1_i386.deb Python Module for CIDR Lookups
python-subunit_0.0.8+bzr176-1_all.deb unit testing protocol - Python bindings to generate and consume streams
python-subversion_1.6.17dfsg-4+deb7u10_i386.deb Python bindings for Subversion
python-subvertpy_0.8.10-2_i386.deb Alternative Python bindings for Subversion
python-suds_0.4.1-5+deb7u1_all.deb Lightweight SOAP client for Python
Advertisement
Advertisement